Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.portlet
Interface PortletResponse

All Known Subinterfaces:
  ActionResponse, RenderResponse, WindowActionResponse

    public interface PortletResponse

The `PortletResponse` defines the base interface to assist a portlet in creating and sending a response to the client. The portlet container uses two specialized versions of this interface when invoking a portlet, `ActionResponse` and `RenderResponse`. The portlet container creates these objects and passes them as arguments to the portlet's `processAction` and `render` methods.

See Also
  `ActionResponse`, `RenderResponse`

Method Summary
`void` | `addProperty(String key, String value)` Adds a String property to an existing key to be returned to the portal.
`String` | `encodeURL(String path)` Returns the encoded URL of the resource, like servlets, JSPs, images and other static files, at the given path.
`void` | `setProperty(String key, String value)` Sets a String property to be returned to the portal.

Method Detail

### addProperty

    void addProperty(String key,
                     String value)

  Adds a String property to an existing key to be returned to the portal.

  This method allows response properties to have multiple values.

  Properties can be used by portlets to provide vendor specific information to the portal.

  Parameters
    `key` - the key of the property to be returned to the portal
    `value` - the value of the property to be returned to the portal
  Throws
    `IllegalArgumentException` - if key is `null`.

### setProperty

    void setProperty(String key,
                     String value)

  Sets a String property to be returned to the portal.

  Properties can be used by portlets to provide vendor specific information to the portal.

  This method resets all properties previously added with the same key.

  Parameters
    `key` - the key of the property to be returned to the portal
    `value` - the value of the property to be returned to the portal
  Throws
    `IllegalArgumentException` - if key is `null`.

### encodeURL

    String encodeURL(String path)

  Returns the encoded URL of the resource, like servlets, JSPs, images and other static files, at the given path.

  Some portal/portlet-container implementation may require those URLs to contain implementation specific data encoded in it. Because of that, portlets should use this method to create such URLs.

  The `encodeURL` method may include the session ID and other portal/portlet-container specific information into the URL. If encoding is not needed, it returns the URL unchanged.

  Parameters
    `path` - the URI path to the resource. This must be either an absolute URL (e.g. `http://my.co/myportal/mywebap/myfolder/myresource.gif`) or a full path URI (e.g. `/myportal/mywebap/myfolder/myresource.gif`).
  Returns
    the encoded resource URL as string
  Throws
    `IllegalArgumentException` - if path doesn't have a leading slash or is not an absolute URL

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved